<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Test - IOSamuel</title>
    <style>
        .box {
            position: relative;
            height: 200px;
            width: 140px;
        }
        .horizontal {
            height: 20px;
            position: absolute;
            background-color: yellow;
        }

        .horizontal.uno {
            width: 140px;
            opacity: .5;
            bottom: 20px;
        }

        .horizontal.dos {
            width: 140px;
            bottom: 60px;
        }

        .horizontal.tres {
            width: 60px;
            bottom: 100px;
            left: 40px;
            background-color: #d5d54a;
            
        }

        .vertical {
            width: 20px;
            position: absolute;
            background-color: yellow;
        }

        .vertical.center {
            height: 200px;
            left: 60px;
            z-index: 1;
        }

        .vertical.center-top {
            bottom: 100px;
            height: 100px;
        }

        .vertical.center-left {
            left: 30px;
            background-color: #d5d54a;
        }

        .vertical.center-right {
            left: 90px;
            background-color: #d5d54a;
        }

        .vertical.lateral {
            bottom: 60px;
            height: 140px;
        }
        .vertical.left {
            left: 0px;
        }
        .vertical.right {
            right: 0px;
        }
    </style>
</head>
<body>
    <div class="box">
        <div class="horizontal uno"></div>
        <div class="horizontal dos"></div>
        <div class="horizontal tres"></div>
        <div class="vertical center"></div>
        <div class="vertical center-top center-left"></div>
        <div class="vertical center-top center-right"></div>
        <div class="vertical lateral left"></div>
        <div class="vertical lateral right"></div>
    </div>
</body>
</html>
